Bug 831297

Summary: when an operation is canceled, it should show the Cancel status/icon
Product: [Other] RHQ Project Reporter: John Mazzitelli <mazz>
Component: Core UIAssignee: John Mazzitelli <mazz>
Status: CLOSED CURRENTRELEASE QA Contact: Mike Foley <mfoley>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 4.4CC: hrupp
Target Milestone: ---   
Target Release: RHQ 4.5.0   
Hardware: Unspecified   
OS: Unspecified   
See Also: https://bugzilla.redhat.com/show_bug.cgi?id=830998
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-09-01 06:01:29 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description John Mazzitelli 2012-06-12 13:43:45 EDT
bug #830998 introduces the Cancel button in the GUI to cancel operations.

After you cancel operations, in the operation history view, the status of the cancelded operations shows "Failure" - it should show "Canceled".
Comment 1 John Mazzitelli 2012-06-12 18:51:51 EDT
git commit to master 66f46cb

Canceled operations that actually were able to be interrupted and canceled will now show a status of canceled with the canceled icon in the history view.
Comment 2 John Mazzitelli 2012-06-13 15:47:48 EDT
you test this the same way you test bug 830998 - here I am repeating the comment in that BZ https://bugzilla.redhat.com/show_bug.cgi?id=830998#c2

1) create a executable shell script that sleeps before exiting - something like:

   #!bin/sh
   echo "Sleeping for 60 seconds"
   sleep 60
   echo "Exiting with exit code 0"
   exit 0

2) Import a platform and create a child resource by manually importing that script as a "Script Server" resource (this is the script plugin).

3) The "Script Server" resource has an operation called "execute". Invoke that operation so your test script is invoked by the agent.

4) When you see the operation history item show up as "in progress" in the Operation>History list, select that "in progress" item and click the "Cancel" button.

5) Wait to see that the operation got canceled. By refreshing the history list, you should see its status change to "Canceled".

6) Create a new compatible group and put your Script Server resource in that group

7) Go to that group's Operation tab and invoke the "execute" operation.

8) Go to the group Operation>History subtab and use the Cancel button to cancel the group operation

9) You should eventually see the GROUP operation show "Failure" (the red failure icon goes in the status) meaning the group operation failed (that is, one or more resource operations did not complete successfully).

10) Drill down into that group operation (double click it) and see that the individual resource operation shows the Canceled status.
Comment 3 Charles Crouch 2012-07-17 17:43:06 EDT
Feature enhancement - retargeting at rhq4.5
Comment 4 Heiko W. Rupp 2013-09-01 06:01:29 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.